域名监控
GET https://www.hostmonits.com/api/domain-names/
curl --request GET \
--url 'https://www.hostmonits.com/api/domain-names/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://www.hostmonits.com/api/domain-names/' \
--header 'Authorization: Bearer {api_key}' \
| 请求参数 | 详情 | 描述 |
|---|---|---|
| search | 选填 字符串 | 搜索关键词. |
| search_by | 选填 字符串 | 搜索匹配字段,可选值:name, target. |
| is_enabled | 选填 布尔型 | |
| project_id | 选填 整型 | |
| datetime_field | 选填 字符串 | 可选值:datetime, last_datetime, whois_start_datetime, whois_updated_datetime, whois_end_datetime, ssl_start_datetime, ssl_end_datetime |
| datetime_start | 选填 字符串 | 起始时间,格式 年-月-日 时:分:秒. |
| datetime_end | 选填 字符串 | 结束时间,格式 年-月-日 时:分:秒. |
| order_by | 选填 字符串 | 排序字段,可选值:domain_name_id, datetime, last_datetime, name, target, whois_start_datetime, whois_updated_datetime, whois_end_datetime, ssl_start_datetime, ssl_end_datetime. |
| order_type | 选填 字符串 | 排序方式:ASC 升序,DESC 降序. |
| page | 选填 整型 | 数据页码,默认值 1. |
| results_per_page | 选填 整型 | 每页返回数据条数,可选值:10, 25, 50, 100, 250, 500, 1000,默认值 25. |
{
"data": [
{
"id": 1,
"project_id": 0,
"name": "AltumCode.Com",
"target": "altumcode.com",
"whois": {
"start_datetime": "2019-12-15 18:03:36",
"updated_datetime": "2020-05-24 15:37:15",
"end_datetime": "2022-12-15 18:03:36",
"registrar": "NAMECHEAP INC",
"nameservers": [
"ns1.digitalocean.com",
"ns2.digitalocean.com",
"ns3.digitalocean.com"
]
},
"whois_notifications": null,
"ssl": {
"organization": "Let's Encrypt",
"common_name": "R3",
"start_datetime": "2021-06-05 14:40:13",
"end_datetime": "2021-09-03 14:40:13"
},
"ssl_notifications": null,
"total_checks": 25,
"last_check_datetime": "2021-07-01 14:42:14",
"next_check_datetime": "2021-07-04 14:42:15",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-06-22 06:51:04",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://www.hostmonits.com/api/domain-names?page=1",
"last": "https://www.hostmonits.com/api/domain-names?page=1",
"next": null,
"prev": null,
"self": "https://www.hostmonits.com/api/domain-names?page=1"
}
}
GET https://www.hostmonits.com/api/domain-names/{domain_name_id}
curl --request GET \
--url 'https://www.hostmonits.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://www.hostmonits.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": 0,
"name": "AltumCode.Com",
"target": "altumcode.com",
"whois": {
"start_datetime": "2019-12-15 18:03:36",
"updated_datetime": "2020-05-24 15:37:15",
"end_datetime": "2022-12-15 18:03:36",
"registrar": "NAMECHEAP INC",
"nameservers": [
"ns1.digitalocean.com",
"ns2.digitalocean.com",
"ns3.digitalocean.com"
]
},
"whois_notifications": null,
"ssl": {
"organization": "Let's Encrypt",
"common_name": "R3",
"start_datetime": "2021-06-05 14:40:13",
"end_datetime": "2021-09-03 14:40:13"
},
"ssl_notifications": null,
"total_checks": 25,
"last_check_datetime": "2021-07-01 14:42:14",
"next_check_datetime": "2021-07-04 14:42:15",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-06-22 06:51:04",
}
}
POST https://www.hostmonits.com/api/domain-names
| 请求参数 | 详情 | 描述 |
|---|---|---|
| name | 必填 字符串 | - |
| target | 必填 字符串 | - |
| project_id | 选填 整型 | - |
| whois_notifications | 选填 数组 | 通知渠道ID |
| whois_notifications_timing | 选填 整型 | 可选值:1, 2, 3, 7, 14, 30, 60 (天) |
| ssl_notifications | 选填 数组 | 通知渠道ID |
| ssl_notifications_timing | 选填 整型 | 可选值:1, 2, 3, 7, 14, 30, 60 (天) |
| is_enabled | 选填 布尔型 | - |
curl --request POST \
--url 'https://www.hostmonits.com/api/domain-names' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
--url 'https://www.hostmonits.com/api/domain-names' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
"data": {
"id": 1
}
}
POST https://www.hostmonits.com/api/domain-names/{domain_name_id}
| 请求参数 | 详情 | 描述 |
|---|---|---|
| name | 选填 字符串 | - |
| target | 选填 字符串 | - |
| project_id | 选填 整型 | - |
| whois_notifications | 选填 数组 | 通知渠道ID |
| whois_notifications_timing | 选填 整型 | 可选值:1, 2, 3, 7, 14, 30, 60 (天) |
| ssl_notifications | 选填 数组 | 通知渠道ID |
| ssl_notifications_timing | 选填 整型 | 可选值:1, 2, 3, 7, 14, 30, 60 (天) |
| is_enabled | 选填 布尔型 | - |
curl --request POST \
--url 'https://www.hostmonits.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://www.hostmonits.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1
}
}
DELETE https://www.hostmonits.com/api/domain-names/{domain_name_id}
curl --request DELETE \
--url 'https://www.hostmonits.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://www.hostmonits.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \